OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.DebugOutput

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDDebugOutput :: MonadIO m => m Bool
- gl_AMD_debug_output :: Bool
- gl_DEBUG_CATEGORY_API_ERROR_AMD :: GLenum
- gl_DEBUG_CATEGORY_APPLICATION_AMD :: GLenum
- gl_DEBUG_CATEGORY_DEPRECATION_AMD :: GLenum
- gl_DEBUG_CATEGORY_OTHER_AMD :: GLenum
- gl_DEBUG_CATEGORY_PERFORMANCE_AMD :: GLenum
- gl_DEBUG_CATEGORY_SHADER_COMPILER_AMD :: GLenum
- gl_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD :: GLenum
- gl_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD :: GLenum
- gl_DEBUG_LOGGED_MESSAGES_AMD :: GLenum
- gl_DEBUG_SEVERITY_HIGH_AMD :: GLenum
- gl_DEBUG_SEVERITY_LOW_AMD :: GLenum
- gl_DEBUG_SEVERITY_MEDIUM_AMD :: GLenum
- gl_MAX_DEBUG_LOGGED_MESSAGES_AMD :: GLenum
- gl_MAX_DEBUG_MESSAGE_LENGTH_AMD :: GLenum
- glDebugMessageCallbackAMD :: MonadIO m => GLDEBUGPROCAMD -> Ptr a -> m ()
- glDebugMessageEnableAMD :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr GLuint -> GLboolean -> m ()
- glDebugMessageInsertAMD :: MonadIO m => GLenum -> GLenum -> GLuint -> GLsizei -> Ptr GLchar -> m ()
- glGetDebugMessageLogAMD :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> Ptr GLuint -> Ptr GLuint -> Ptr GLsizei -> Ptr GLchar -> m GLuint

# Extension Support

glGetAMDDebugOutput :: MonadIO m => m Bool

Is the AMD_debug_output extension supported?

gl_AMD_debug_output :: Bool

Is the AMD_debug_output extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDDebugOutput` in those cases instead.

# Enums

gl_DEBUG_CATEGORY_API_ERROR_AMD :: GLenum

gl_DEBUG_CATEGORY_APPLICATION_AMD :: GLenum

gl_DEBUG_CATEGORY_DEPRECATION_AMD :: GLenum

gl_DEBUG_CATEGORY_OTHER_AMD :: GLenum

gl_DEBUG_CATEGORY_PERFORMANCE_AMD :: GLenum

gl_DEBUG_CATEGORY_SHADER_COMPILER_AMD :: GLenum

gl_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD :: GLenum

gl_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD :: GLenum

gl_DEBUG_LOGGED_MESSAGES_AMD :: GLenum

gl_DEBUG_SEVERITY_HIGH_AMD :: GLenum

gl_DEBUG_SEVERITY_LOW_AMD :: GLenum

gl_DEBUG_SEVERITY_MEDIUM_AMD :: GLenum

gl_MAX_DEBUG_LOGGED_MESSAGES_AMD :: GLenum

gl_MAX_DEBUG_MESSAGE_LENGTH_AMD :: GLenum

# Functions

glDebugMessageCallbackAMD

Arguments

:: MonadIO m |
=> GLDEBUGPROCAMD | `callback`.
-> Ptr a | `userParam`.
-> m () |

glDebugMessageEnableAMD

Arguments

:: MonadIO m |
=> GLenum | `category`.
-> GLenum | `severity`.
-> GLsizei | `count`.
-> Ptr GLuint | `ids` pointing to `count` elements of type `GLuint`.
-> GLboolean | `enabled` of type Boolean.
-> m () |

glDebugMessageInsertAMD

Arguments

:: MonadIO m |
=> GLenum | `category`.
-> GLenum | `severity`.
-> GLuint | `id`.
-> GLsizei | `length`.
-> Ptr GLchar | `buf` pointing to `length` elements of type `GLchar`.
-> m () |

glGetDebugMessageLogAMD

Arguments

:: MonadIO m |
=> GLuint | `count`.
-> GLsizei | `bufsize`.
-> Ptr GLenum | `categories` pointing to `count` elements of type `GLenum`.
-> Ptr GLuint | `severities` pointing to `count` elements of type `GLuint`.
-> Ptr GLuint | `ids` pointing to `count` elements of type `GLuint`.
-> Ptr GLsizei | `lengths` pointing to `count` elements of type `GLsizei`.
-> Ptr GLchar | `message` pointing to `bufsize` elements of type `GLchar`.
-> m GLuint |